Get submission status
curl --request GET \
--url https://api.udiconnect.io/api/v1/submission/status \
--header 'Authorization: <api-key>'import requests
url = "https://api.udiconnect.io/api/v1/submission/status"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.udiconnect.io/api/v1/submission/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"status\": \"PUBLISHED\",\n \"statusUpdateTime\": \"2025-08-18T14:13:59.348\",\n \"device\": \"00314167868558\"\n}""{\n \"errorType\": \"BAD_REQUEST\",\n \"message\": \"Either requestId or udiDevice must be provided.\"\n}""{\n \"errorType\": \"NOT_FOUND\",\n \"message\": \"Invalid UDI entity type for the provided request ID.\"\n}""{\n \"timestamp\": \"string\",\n \"status\": 500,\n \"error\": \"Internal Server Error\",\n \"message\": \"string\"\n}"API Documentation
Get submission status
Retrieve the current status of a submission request by a requestId or device/deviceGroup.
GET
/
api
/
v1
/
submission
/
status
Get submission status
Authorizations
Query Parameters
Request ID of the submission
Example:
"1234567890"
UDI Device identifier
Example:
"00308676965723"
Type of UDI entity (DEVICE or DEVICE_GROUP)
Available options:
DEVICE, DEVICE_GROUP Example:
"DEVICE"
Regulatory agency for the submission
Available options:
COMMON_DEVICE_DATA, FDA, EC, NMPA, MFDS, GDSN, SFDA, TFDA, TGA, HSA Example:
"EC"
Response
Submission status retrieved successfully
Status of a submission
Current status of the submission
Available options:
IN_SUBMISSION, TECHNICAL_SUBMISSION_ERROR, SUBMISSION_REJECTED, SUBMITTED, PUBLISHED, LATENT Example:
"SUBMITTED"
Timestamp of the last status update
Example:
"2023-10-01T12:00:00Z"
Device identifier associated with the submission
Example:
"00308676965723"
Device group identifier associated with the submission
Example:
"439990237188JM"